<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Claremont
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
			claremont_post_title();
		?>

		<div class="entry-meta">
			<?php
				claremont_post_author();
				claremont_posted_on();
				claremont_post_comments();
			?>
		</div><!-- .entry-meta -->
		
		<div class="entry-thumbnail">
			<?php
				claremont_post_thumbnail();
			?>
		</div><!-- .entry-thumbnail -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php $trim_content = get_theme_mod('trim_content');
			if ($trim_content) {
				the_excerpt();
			} else {
				the_content();
			}

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'claremont' ),
				'after'  => '</div>',
			) );

			$post_format = get_post_format();
			if ( 'quote' == $post_format ) {
				$author = get_post_meta( $post->ID, 'quote_author', true );
				echo '<h4 class="quote-author">- ' . esc_html( $author ) . '</h4>'; 
			}
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			claremont_post_cats();
			claremont_post_read_more();
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
